## org.hibernate.event.spi
Class PersistEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.PersistEvent

All Implemented Interfaces:
  Serializable

    public class PersistEvent

extends AbstractEvent

An event class for persist()

See Also:
  Serialized Form

Constructor Summary
`PersistEvent(Object object, EventSource source)`
`PersistEvent(String entityName, Object original, EventSource source)`

Method Summary
`String` `getEntityName()`
`Object` `getObject()`
`void` `setEntityName(String entityName)`
`void` `setObject(Object object)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistEvent

    public PersistEvent(String entityName,
                        Object original,
                        EventSource source)

### PersistEvent

    public PersistEvent(Object object,
                        EventSource source)

Method Detail

### getObject

    public Object getObject()

### setObject

    public void setObject(Object object)

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.